Index a document using a profile ID
import requests
url = "https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}"
response = requests.post(url)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}")
.asString();const options = {method: 'POST'};
fetch('https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}Index a document using a profile ID
Index the document with the given index profile and associated index pipeline, collection ID, and parser.
POST
/
async-parsing
/
parser
/
standalone
/
{profileId}
Index a document using a profile ID
import requests
url = "https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}"
response = requests.post(url)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}")
.asString();const options = {method: 'POST'};
fetch('https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/async-parsing/parser/standalone/{profileId}Headers
The MIME type of the content being indexed, typically application/octet-stream.
Path Parameters
The ID of the index profile used to process the document.
Query Parameters
Binary payload to be indexed by the specified pipeline and parser.
Response
204
No Content
Was this page helpful?